> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api.md).

# WhatsApp Business API

- [WhatsApp Business API](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api.md): The InnoPaaS platform provides enterprise customers with integration and sending support for Meta WhatsApp messages, and offers unified API interface technical support. The unified data encoding format of this protocol is UTF-8. The interface uses HTTPS, and the TLS protocol version is >=1.2. User authentication uses Authorization in the request header; see 2.1 Common Request Headers for details.
- [Message](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/message.md)
- [Template](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/template.md)
- [File Upload](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/file-upload.md)
- [Number Query](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/whatsapp-business-api/number-query.md)
- [Webhook](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook.md)
- [Configure Webhook](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/configure-webhook.md): When there are message updates in Waba, update events will be pushed to customers through Webhook. These include message status updates, user reply messages, Waba account review status updates, WhatsApp template status updates, sender number display name changes, etc.
- [Message Status](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/message-status.md)
- [Inbound Message](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/inbound-message.md)
- [Template Status](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/template-status.md)
- [Inbox Chat Message Events](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/inbox-chat-message-events.md): Chatroom inbound and outbound messages only listen for message events in the chatroom
- [Number Quality Status](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-quality-status.md)
- [Number Name Update](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-name-update.md)
- [Error Code](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/error-code.md)
- [Custom Error Codes](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/error-code/custom-error-codes.md)
- [Meta Error Codes](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/error-code/meta-error-codes.md)
- [Language Code](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/language-code.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
